{
Client Access Objects 1.5

DB2 demo using TcaoDatabaseDB2

(c) 1998, 1999 Steven P. Goldsmith
All Rights Reserved

Make sure you change the systemName of the TcaoDatabaseConnection component to
your system name.

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 1, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

sgoldsmith@home.com
http://members.home.net/sgoldsmith/
}

unit DB2Main;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, Menus, ComCtrls,
  caoErrorMessage, caoDatabaseConnection, caoDatabaseDB2;

type
  TMainForm = class(TForm)
    StatusLine: TStatusBar;
    RichEdit1: TRichEdit;
    caoDatabaseDB21: TcaoDatabaseDB2;
    caoDatabaseConnection1: TcaoDatabaseConnection;
    caoErrorMessage1: TcaoErrorMessage;
    MainMenu1: TMainMenu;
    DB21: TMenuItem;
    Createfile1: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure ShowHint(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Createfile1Click(Sender: TObject);
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.FormCreate(Sender: TObject);
begin
  Application.OnHint := ShowHint;
end;

procedure TMainForm.ShowHint(Sender: TObject);
begin
  StatusLine.SimpleText := Application.Hint;
end;

procedure TMainForm.FormShow(Sender: TObject);
begin
  // Connect to database
  caoErrorMessage1.Setup;
  caoDatabaseConnection1.Active := True;
  caoDatabaseDB21.Setup
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  // Disconnect from database
  caoDatabaseConnection1.Active := False
end;

{
Create source physical file, add some members, remove a member and delete file.
}

procedure TMainForm.Createfile1Click(Sender: TObject);
begin
  with caoDatabaseDB21 do
  begin
    RichEdit1.Lines.Add('Create source physical file');
    CreateSourcePhysicalFile('QTEMP','TESTSRC');
    RichEdit1.Lines.Add('Add member mem2');
    AddMember('QTEMP','TESTSRC','mem2');
    RichEdit1.Lines.Add('Add member mem3');
    AddMember('QTEMP','TESTSRC','mem3');
    RichEdit1.Lines.Add('Remove member mem2');
    RemoveMember('QTEMP','TESTSRC','mem2');
    RichEdit1.Lines.Add('Delete source physical file');
    DeleteFile('QTEMP','TESTSRC')
  end
end;

end.
